//-----------------------------------------------------------------------------
// Title      : bsp_ub063_mk3_eadog3
//-----------------------------------------------------------------------------
// Funktion   : EA-DOG-Display (ST7565)
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 21.11.2012
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_ext_module/EXT_LCD_EADOG_ST7565.h>

//-----------------------------------------------------------------------------
// Hinweis : Display muss laut Datenblatt angeschlossen sein
//-----------------------------------------------------------------------------


int main (void)
{
	// Display initialisieren
	EXT_LCD_INIT_ST7565();
	// Display loeschen
	LCD_ST7565_CLEAR();
	
	// Text Nr.1 schreiben
	LCD_ST7565_STRING_AT(0,0,"EA-DOG");
	
	// Text Nr.2 schreiben
	LCD_ST7565_STRING_AT(0,1,"Display");
	
	// Zahl schreiben
	LCD_ST7565_SETCURSOR(0,2);
	LCD_ST7565_PRINT_UINT(12345);

	while (true)
	{

	}
	return 0;
}
//-----------------------------------------------------------------------------






